Summary
Gets a page of template documents.
Description
Gets a page of template documents.
Route
GET /automation-studio/templates
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| queryParameters | object | yes | Parameters for filtering, paginating, projecting, and sorting template documents. |
{ "queryParameters": { "limit": 50, "skip": 10, "order": 1, "sort": "name", "include": "name,description", "exclude": "_id", "in": "qui", "not-in": "ullamco", "equals": "laboris fugiat nostrud cillum", "contains": "Duis id ullamco nulla laborum", "starts-with": "fugiat officia dolore", "ends-with": "fugiat" } }
{ "type": "object", "properties": { "queryParameters": { "title": "queryParameters", "type": "object", "properties": { "limit": { "type": "integer", "description": "Number of results to return. Used for pagination.", "default": 25, "minimum": 0, "examples": [ 1, 10, 50 ] }, "skip": { "type": "integer", "description": "Number of results to skip. Used for pagination.", "default": 0, "minimum": 0, "examples": [ 1, 10, 50 ] }, "order": { "type": "integer", "description": "Sort direction, 1 for ascending and -1 for descending.", "default": 1, "enum": [ -1, 1 ] }, "sort": { "type": "string", "description": "Field to sort by", "default": "name", "enum": [ "name" ] }, "include": { "type": "string", "description": "Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.", "examples": [ "name", "description", "name,description" ] }, "exclude": { "type": "string", "description": "Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.", "examples": [ "_id", "description", "_id,description" ] }, "in": { "description": "Search for fields exactly matching one of the given list options", "type": "string" }, "not-in": { "description": "Search for fields not exactly matching one of the given list options", "type": "string" }, "equals": { "description": "Returns results where the specified fields exactly match the given match string(s).", "type": "string" }, "contains": { "description": "Returns results where the specified fields contain the given match string(s).", "type": "string" }, "starts-with": { "description": "Returns results where the specified fields start with the given match string(s).", "type": "string" }, "ends-with": { "description": "Returns results where the specified fields end in the given match string(s).", "type": "string" } } } }, "required": [ "queryParameters" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| result | object | Results for the given search parameters. |
{ "items": [ { "name": "test", "group": "Sample group", "command": "show ip br", "description": "description", "template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record", "data": "some sample text to match against", "type": "test", "_id": "279ad28FbdC799eDD861EAB1", "createdBy": "bd25FBf72b2D1cdafcFB3056", "created": "2019-11-25T22:51:39.201Z", "lastUpdatedBy": "a9f197Bb01C5d72A49eB5863", "lastUpdated": "2019-11-25T22:51:39.201Z", "version": 1, "tags": [ { "_id": "F8e31fEAf99Bb72e7F70FDFa", "name": "veniam sed", "description": "A user-defined object to help group documents." }, { "_id": "2De9bFCEa9bc9dDFF3bcDc5d", "name": "nulla", "description": "A user-defined object to help group documents." }, { "_id": "c740F0ee9d5Fd3D01678D0A6", "name": "ex", "description": "A user-defined object to help group documents." } ] }, { "name": "test", "group": "Sample group", "command": "show ip br", "description": "description", "template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record", "data": "some sample text to match against", "type": "test", "_id": "2Ca0Efc3bCE1F0d1Cc82FaF9", "createdBy": "4abB73c8eF5cF1DeaDE5e3F3", "created": "2019-11-25T22:51:39.201Z", "lastUpdatedBy": "7Caa1CB7f8A04b8bc97EC3B2", "lastUpdated": "2019-11-25T22:51:39.201Z", "version": 1, "tags": [ { "_id": "b36858DdafAC96DB76FEd294", "name": "deserunt fugiat laborum", "description": "A user-defined object to help group documents." }, { "_id": "EDC7b715FBF40DAaEbb40052", "name": "adipisicing nostrud amet", "description": "A user-defined object to help group documents." } ] } ], "total": -49330610, "start": -19793768, "end": -53124426, "count": 17515845, "next": null, "previous": null }
{ "title": "result", "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "template" } }, "total": { "type": "integer", "description": "Total number of documents matching the given query parameters." }, "start": { "type": "integer", "description": "Search index of first document in the items array." }, "end": { "type": "integer", "description": "Search index of the last document in the items array." }, "count": { "type": "integer", "description": "Length of the items array." }, "next": { "type": [ "string", "null" ], "description": "URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results." }, "previous": { "type": [ "string", "null" ], "description": "URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results." } } }